<?php

namespace DefStudio\GameEngine\Listeners\Teams;

use DefStudio\GameEngine\Events\Teams\UserUnsubscribedFromTeam;

class UserUnsubscribedFromTeamListener
{
    public function handle(UserUnsubscribedFromTeam $event): void
    {
        $event->team->unsetRelation('masters');
        $event->team->unsetRelation('players');
    }
}
